%define name    gpsim
%define version 0.21.2
%define release 5mdk

%define lib_name_orig lib%{name}
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Name:           %{name}
Epoch:		1
Version:        %{version}
Release:        %{release}
Summary:        A software simulator for Microchip PIC microcontrollers
Source0:        %{name}-%{version}.tar.bz2
License:        GPL
Group:          Development/Other
Url:            http://www.dattalo.com/gnupic/gpsim.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libgtk+extra-devel
BuildRequires:  readline-devel flex popt-devel
BuildRequires:  termcap-devel ncurses-devel glibc-static-devel

%description
gpsim is a full-featured software simulator for Microchip PIC microcontrollers
distributed under the GNU General Public License.

gpsim has been designed to be as accurate as possible. Accuracy includes the 
entire PIC - from the core to the I/O pins and including ALL of the internal 
peripherals. Thus it's possible to create stimuli and tie them to the I/O pins 
and test the PIC the same PIC the same way you would in the real world.

%package -n     %{lib_name}
Summary:	Main library for %{name}
Group:          System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libgpsim

%package -n     %{lib_name}-devel
Summary:        Headers for developing programs that will use libgpsim
Group:          Development/C
Requires:       %{lib_name} = %{epoch}:%{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}
%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use libgpsim

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%post 
%{update_menus} 

%postun 
%{clean_menus} 

%prep
%setup -q
%build

%configure 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
icon="development_section.png" needs="X11" \
section="More Applications/Development/Development Environments" \
title="Gpsim" longtitle="A software simulator for Microchip PIC microcontrollers" \
accept_url="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_menudir}/%{name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Fri Feb 04 2005 Couriousous <couriousous@mandrake.org> 0.21.2-5mdk
- Rebuild for new libreadline

* Fri Jan 21 2005 Couriousous <couriousous@mandrake.org> 0.21.2-4mdk
- Fix menu ( strange bug ... )
- Fix requires-on-release

* Mon Jan 17 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.21.2-3mdk
- Fix epoch stuff

* Sat Jan 15 2005 Couriousous <couriousous@mandrake.org> 0.21.2-2mdk
- Revert to 0.21.2 since ktechlab don't build with 0.21.3 cvs
- trem <trem@zarb.org>
   - Add buildrequires

* Fri Jan 14 2005 Couriousous <couriousous@mandrake.org> 0.21.3-0.20041231.1mdk
- Update
- Use gtk2

* Mon Jan 10 2005 Couriousous <couriousous@mandrake.org> 0.21.2-1mdk
- First Mandrakelinux release

